/* Datatable - manually initialized */

.node__content .dataTable:has(thead){
  word-wrap: initial;
  width: 100% !important;
}

.node__content .dataTable ul.dtr-details > li::before{
  display: none;
}

.node__content:has(.dataTable) .dt-search {
  margin-bottom: 15px;
}

div.dt-container .dataTable,
div.dt-container.dt-empty-footer tbody>tr:last-child>* ,
table.dataTable>thead>tr>th,
table.dataTable>thead>tr>td{
  border: unset !important;
}

div.dt-container .dataTable tbody tr:nth-of-type(2n){
  background-color: #ecf1fd;
  transition: background-color 0.2s ease-in-out;
}

div.dt-container .dataTable tbody tr:nth-of-type(2n):hover,
div.dt-container .dataTable tbody tr:nth-of-type(2n):focus,
div.dt-container .dataTable tbody tr:nth-of-type(2n):focus-within{
  background-color: #d9e4fa;
}

div.dt-container .dataTable tbody tr:nth-of-type(2n+1){
  background-color: #f9fbff;
  transition: background-color 0.2s ease-in-out;
}

div.dt-container .dataTable tbody tr:nth-of-type(2n+1):hover,
div.dt-container .dataTable tbody tr:nth-of-type(2n+1):focus,
div.dt-container .dataTable tbody tr:nth-of-type(2n+1):focus-within{
  background-color: #f3f6ff;
}

div.dt-container .dt-length{
  margin-top: 15px;
  display: flex;
  justify-content: right;
}

div.dt-container .dt-length label{
  margin-left: 15px;
  margin-bottom: unset;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  font-size: 14px;
}

div.dt-container .dt-length select{
  margin: 0 10px;
}

div.dt-container .dataTable .child li:last-child{
  margin-bottom: 20px;
}

div.dt-container .dataTable.collapsed thead th,
div.dt-container .dataTable.collapsed tbody td{
  text-align: left !important;
}

div.dt-container .dataTable.collapsed td p,
div.dt-container .dataTable.collapsed th p{
  display: inline;
}

.node__content .dt-container .dt-paging{
  margin-top: 15px;
  display: flex;
  flex-wrap: wrap;
  justify-content: right;
}


div.dt-container .dt-paging .dt-paging-button.current, div.dt-container .dt-paging .dt-paging-button.current:hover{
  border: 2px solid #000049;
  color: #fff !important;
  background-color: #000049;
}

.node__content .dt-container .dt-paging .dt-paging-button{
  width: 42px;
  height: 42px;
  border: unset;
  display: flex;
  justify-content: center;
  background: unset;
}

div.dt-container .dt-paging .dt-paging-button:hover,
div.dt-container .dt-paging .dt-paging-button:active,
div.dt-container .dt-paging .dt-paging-button:focus,
div.dt-container .dt-paging .dt-paging-button:focus-within{
  background: none #000049;
  color: #fff;
}

.node__content .dt-container .dt-paging .dt-paging-button.first,
.node__content .dt-container .dt-paging .dt-paging-button.previous,
.node__content .dt-container .dt-paging .dt-paging-button.next,
.node__content .dt-container .dt-paging .dt-paging-button.last{
  font-size: 0;
  background-color: transparent;
  border: none;
  -webkit-tap-highlight-color: transparent;
  background-repeat: no-repeat;
  background-size: 42px;
}


.node__content .dt-container .dt-paging .dt-paging-button.first {
  background-image: url(/themes/custom/THEMENAME/img/double_arrows_violet.svg);
  background-position-y: -42px;
}

.node__content .dt-container .dt-paging .dt-paging-button.previous {
  background-image: url(/themes/custom/THEMENAME/img/arrows_violet.svg);
  background-position-y: -42px;
}


.node__content .dt-container .dt-paging .dt-paging-button.next{
  background-image: url(/themes/custom/THEMENAME/img/arrows_violet.svg);
}

.node__content .dt-container .dt-paging .dt-paging-button.last{
  background-image: url(/themes/custom/THEMENAME/img/double_arrows_violet.svg);
}

div.dt-container .dt-paging .dt-paging-button.disabled,
div.dt-container .dt-paging .dt-paging-button.disabled:hover,
div.dt-container .dt-paging .dt-paging-button.disabled:active,
div.dt-container .dt-paging .dt-paging-button.disabled:focus,
div.dt-container .dt-paging .dt-paging-button.disabled:focus-within{
  filter: contrast(0);
  background-size: 42px;
  border: unset;
}

div.dt-container .dt-paging .dt-paging-button.first.disabled,
div.dt-container .dt-paging .dt-paging-button.first.disabled:hover,
div.dt-container .dt-paging .dt-paging-button.first.disabled:active,
div.dt-container .dt-paging .dt-paging-button.first.disabled:focus,
div.dt-container .dt-paging .dt-paging-button.first.disabled:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/double_arrows_violet.svg);
  background-position-y: -42px;
  background-color: unset;
}

div.dt-container .dt-paging .dt-paging-button.previous.disabled,
div.dt-container .dt-paging .dt-paging-button.previous.disabled:hover,
div.dt-container .dt-paging .dt-paging-button.previous.disabled:active,
div.dt-container .dt-paging .dt-paging-button.previous.disabled:focus,
div.dt-container .dt-paging .dt-paging-button.previous.disabled:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/arrows_violet.svg);
  background-position-y: -42px;
  background-color: unset;
}

div.dt-container .dt-paging .dt-paging-button.next.disabled,
div.dt-container .dt-paging .dt-paging-button.next.disabled:hover,
div.dt-container .dt-paging .dt-paging-button.next.disabled:active,
div.dt-container .dt-paging .dt-paging-button.next.disabled:focus,
div.dt-container .dt-paging .dt-paging-button.next.disabled:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/arrows_violet.svg);
  background-color: unset;
}

div.dt-container .dt-paging .dt-paging-button.last.disabled,
div.dt-container .dt-paging .dt-paging-button.last.disabled:hover,
div.dt-container .dt-paging .dt-paging-button.last.disabled:active,
div.dt-container .dt-paging .dt-paging-button.last.disabled:focus,
div.dt-container .dt-paging .dt-paging-button.last.disabled:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/double_arrows_violet.svg);
  background-color: unset;
}

div.dt-container .dt-paging .dt-paging-button.first,
div.dt-container .dt-paging .dt-paging-button.first:hover,
div.dt-container .dt-paging .dt-paging-button.first:active,
div.dt-container .dt-paging .dt-paging-button.first:focus,
div.dt-container .dt-paging .dt-paging-button.first:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/double_arrows_white.svg);
  background-color: #000049;
  background-position-y: -42px;
}

div.dt-container .dt-paging .dt-paging-button.previous,
div.dt-container .dt-paging .dt-paging-button.previous:hover,
div.dt-container .dt-paging .dt-paging-button.previous:active,
div.dt-container .dt-paging .dt-paging-button.previous:focus,
div.dt-container .dt-paging .dt-paging-button.previous:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/arrows_white.svg);
  background-color: #000049;
  background-position-y: -42px;
}

div.dt-container .dt-paging .dt-paging-button.next,
div.dt-container .dt-paging .dt-paging-button.next:hover,
div.dt-container .dt-paging .dt-paging-button.next:active,
div.dt-container .dt-paging .dt-paging-button.next:focus,
div.dt-container .dt-paging .dt-paging-button.next:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/arrows_white.svg);
  background-color: #000049;
}

div.dt-container .dt-paging .dt-paging-button.last,
div.dt-container .dt-paging .dt-paging-button.last:hover,
div.dt-container .dt-paging .dt-paging-button.last:active,
div.dt-container .dt-paging .dt-paging-button.last:focus,
div.dt-container .dt-paging .dt-paging-button.last:focus-within{
  background-image: url(/themes/custom/THEMENAME/img/double_arrows_white.svg);
  background-color: #000049;
}

div.dt-container .dt-search{
  display: flex;
  justify-content: right;
  padding-bottom: 10px;
}

div.dt-container .dt-search label{
  margin-right: 10px;
  align-items: center;
  display: flex;
  margin-bottom: unset;
  font-size: 14px;
}

div.dt-container .dt-search input{
  border-radius: 40px;
  border: 2px solid #000049;
  text-align: center;
}

div.dt-container{
    margin-bottom: 60px;
	margin-top: 60px;
}

.new-ects-cards-table caption,
div.dt-container caption{
    margin-bottom: 15px;
    background-color: #000049;
    padding: 10px;
    color: #fff;
    border-left: 5px solid #0af;
	font-size: 20px;
}

div.dt-container td.child{
  background-color: #fff;
}

div.dt-container td.child .dtr-details{
  width: 100%;
  margin-top: 20px !important;
}

div.dt-container td.child li{
  border-bottom: unset !important;
}

div.dt-container td.child .dtr-title{
  color: #0af;
  margin-bottom: 8px;
  padding-bottom: 8px;
  border-bottom: 2px solid #0af;
  display: flex;
  width: 100%;
}

div.dt-container td.child .dtr-data{
  width: 100%;
  display: flex;
  flex-direction: column;
}

@media screen and (min-width: 767px) {
  div.dt-container td.child .dtr-data p:has(.display-requirement-block) {
    display: none !important;
  }

  div.dt-container td.child .dtr-data > p,
  div.dt-container td.child .dtr-data > span,
  div.dt-container td.child .dtr-data ul {
    display: flex !important;
    flex-direction: column;
  }
}

div.dt-container td.child:last-of-type{
  border-bottom: 2px solid #000049;
}

div.dt-container .dt-search input::placeholder{
  font-size: 14px;
}

.region-content .node__content div.dt-container caption strong,
.region-content .node__content div.dt-container caption span{
    color: #fff;
}

@media screen and (max-width: 766px) {
  div.dt-container td.child .dtr-data{
    display: inline;
  }

  .node__content:has(.dataTable) .dt-search label{
    width: 100%;
    text-align: left;
  }

  div.dt-container .dt-length{
    justify-content: center;
  }

  .node__content:has(.dataTable) .dt-search input {
    width: 100%;
    text-align: center;
  }

  .node__content:has(.dataTable) .dt-search input{
    padding: 0 10px;
  }

  div.dt-container{
    font-size: 14px;
  }

  .node__content .dt-container .dt-paging{
    justify-content: center;
  }

  .node__content .manual-table .table-description{
    display: none;
  }
}

.node__content .dataTable th{
  background-color: #000049;
  color: #fff;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before{
  border-left: 10px solid #0af;
}

.node__content .manual-table{
  overflow-x: auto;
  text-transform: uppercase;
  max-width: 100%;
  margin: 10px 0;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) blockquote,
.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tbody{
  font-size: 16px;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive){
  min-width: 100%;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tbody{
  font-size: 16px;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n+1){
  background-color: #f9fbff;
  transition: background-color 0.2s ease-in-out;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n+1):hover,
.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n+1):focus,
.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n+1):focus-within{
  background-color: #f3f6ff;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n){
  background-color: #ecf1fd;
  transition: background-color 0.2s ease-in-out;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n):hover,
.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n):focus,
.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr:nth-of-type(2n):focus-within{
  background-color: #d9e4fa;
}

.node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) td{
  padding: 10px;
  /*text-wrap: nowrap;*/
}

.node__content .manual-table .table-description{
  width: 100%;
  color: #898989;
  margin: 15px 0;
  padding-left: 10px;
  border-left: 2px solid #0af;
  text-align: justify;
  font-size: 14px;
}

.node__content .manual-table .table-description.mobile{
  display: none;
}

.node__content .layout.course-node tbody ul li:before{
  content: "\2022";
  color: #0af;
  font-weight: bold;
  float: left;
  width: 1em;
  margin-left: -1em;
  transform: scale(1.5);
}

@media screen and (min-width: 1500px) and (max-width: 2100px){
  div.dt-container th,
  div.dt-container td{
    font-size: 0.7vw;
  }
}

@media screen and (min-width: 2101px){
  div.dt-container th,
  div.dt-container td{
    font-size: 15px;
  }
}

@media screen and (max-width: 766px) {
  .node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tr td{
    word-break: normal;
  }

  .node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) blockquote,
  .node__content .manual-table table:not(.dataTable, .dtr-inline, .collapsed, .table-responsive) tbody{
    font-size: 12px;
  }

  .node__content .manual-table .table-description.mobile{
    display: block;
  }
}

.node__content .dataTable .display-requirement-block{
  width: 100%;
  max-width: 200px;
  display: flex;
  justify-content: center;
  border-radius: 40px;
  background-color: #0af;
  color: #fff;
  border: 2px solid #0af;
}

.node__content .dataTable .display-requirement-block:hover,
.node__content .dataTable .display-requirement-block:active,
.node__content .dataTable .display-requirement-block:focus,
.node__content .dataTable .display-requirement-block:focus-within{
  background-color: #0af;
  color: #fff;
}

/*.content .dataTable td.dtr-control:has(a):after{
  width: 100%;
  display: block;
  font-weight: bold;
  content: 'LINK';
}

.content .dataTable td.dtr-control:has(a):before{
  width: 40px;
  height: 40px;
  background-image: url(/themes/THEMENAME/img/arrows_blue.svg);
  background-repeat: no-repeat;
  background-size: 40px;
  border: unset !important;
  margin: 0 0 5px 0 !important;
  display: block !important;
}

.content .dataTable .dtr-expanded td.dtr-control:has(a):before{
  background-position-y: -120px;
}*/

.node__content .dataTable td.dtr-control:has(a):before{
  display: none !important;
}

.node__content .dataTable.collapsed td.dtr-control:has(a):after {
  width: 100%;
  height: 40px;
  color: #fff;
  background-color: #0af;
  border: 2px solid #0af;
  display: flex;
  content: "ROZWIŃ";
  margin: 10px 0 5px 0;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
}

.node__content .dataTable.collapsed .dtr-expanded td.dtr-control:has(a):after{
  content: "ZWIŃ";
}

.node__content .dataTable a{
  word-break: normal;
}

.dt-container .dt-paging .dt-paging-button.first,
.dt-container .dt-paging .dt-paging-button.previous,
.dt-container .dt-paging .dt-paging-button.next,
.dt-container .dt-paging .dt-paging-button.last {
  font-size: 0;
  background-color: transparent;
  border: none;
  -webkit-tap-highlight-color: transparent;
  background-repeat: no-repeat;
  background-size: 42px;
}

.dt-container .dt-paging .dt-paging-button {
  width: 42px;
  height: 42px;
  border: unset;
  display: flex;
  justify-content: center;
  background: unset;
}

.dt-container .paging_full_numbers {
	display: flex;
}

/* table end*/